Delete an organization group
DELETE
/v2/orgs/{org_name}/groups/{group_name} Delete an organization group.
This operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.
Connection and access
API connection and authentication guidance
https://hub.docker.com
—
Docker HUB API
Use one of these alternatives. Requirements within an alternative apply together.
bearerAuth
Parameters
org_name
path
Required
Name of the organization (namespace).
Type:
string
All schema constraints and annotations
{
"type": "string"
}group_name
path
Required
Name of the group (team) in the organization.
Type:
string
All schema constraints and annotations
{
"example": "developers",
"type": "string"
}Request and responses
Response
204
Group deleted successfully
No response content is declared.
Response
401
Unauthorized
application/json
Schema:
error
error
{
"errinfo": null,
"message": "unauthorized"
}Response
403
Forbidden
application/json
Schema:
error
error
{
"errinfo": null,
"message": "permission denied"
}Response
404
Not Found
application/json
Schema:
error
error
{
"errinfo": null,
"message": "not found"
}Referenced schemas
Complete operation contract
{
"description": "Delete an organization group.\n\nThis operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.\n",
"operationId": "deleteV2OrgsByOrgNameGroupsByGroupName",
"responses": {
"204": {
"description": "Group deleted successfully"
},
"401": {
"$ref": "#/components/responses/unauthorized"
},
"403": {
"$ref": "#/components/responses/forbidden"
},
"404": {
"$ref": "#/components/responses/not_found"
}
},
"security": [
{
"bearerAuth": []
}
],
"summary": "Delete an organization group",
"tags": [
"groups"
]
}